Package com.complexible.common.timer

# Class Timers

java.lang.Object
com.complexible.common.timer.Timers

public class Timers extends Object

Since:
  2.0
Version:
  2.0
Author:
  Evren Sirin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Timer`
  `mainTimer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Timers()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAll(Timers other)`
  `void`
  `checkTimer(String name)`
  `Timer`
  `createTimer(String name)`
  `Timer`
  `getTimer(String name)`
  `double`
  `getTimerAverage(String name)`
  `Collection<Timer>`
  `getTimers()`
  `long`
  `getTimerTotal(String name)`
  `void`
  `interrupt()`
  `void`
  `print()`
  `void`
  `print(boolean shortForm)`
  `void`
  `print(boolean shortForm, String sortBy)`
  `void`
  `print(Writer pw)`
  `void`
  `print(Writer pw, boolean shortForm, String sortBy)`
  `void`
  `resetAll()`
  `void`
  `resetTimer(String name)`
  `void`
  `setTimeout(String name, long timeout)`
  `Timer`
  `startTimer(String name)`
  `void`
  `stopTimer(String name)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### mainTimer

    public final Timer mainTimer

- ## Constructor Details

  - ### Timers

    public Timers()

- ## Method Details

  - ### addAll

    public void addAll(Timers other)

  - ### createTimer

    public Timer createTimer(String name)

  - ### startTimer

    public Timer startTimer(String name)

  - ### checkTimer

    public void checkTimer(String name) throws Exception
    Throws:
      `Exception`

  - ### resetTimer

    public void resetTimer(String name)

  - ### interrupt

    public void interrupt()

  - ### setTimeout

    public void setTimeout(String name, long timeout)

  - ### stopTimer

    public void stopTimer(String name)

  - ### resetAll

    public void resetAll()

  - ### getTimerTotal

    public long getTimerTotal(String name)

  - ### getTimerAverage

    public double getTimerAverage(String name)

  - ### getTimer

    public Timer getTimer(String name)

  - ### getTimers

    public Collection<Timer> getTimers()

  - ### print

    public void print()

  - ### print

    public void print(Writer pw)

  - ### print

    public void print(boolean shortForm)

  - ### print

    public void print(boolean shortForm, String sortBy)

  - ### print

    public void print(Writer pw, boolean shortForm, String sortBy)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`